Skip to content
Start here

Threat Events

List events
client.cloudforceOne.threatEvents.list(ThreatEventListParams { account_id, cache, cursor, 9 more } params, RequestOptionsoptions?): ThreatEventListResponse { attacker, attackerCountry, attackerCountryAlpha3, 26 more }
GET/accounts/{account_id}/cloudforce-one/events
Get an event (legacy)
Deprecated
client.cloudforceOne.threatEvents.get(stringeventID, ThreatEventGetParams { account_id } params, RequestOptionsoptions?): ThreatEventGetResponse { attacker, attackerCountry, attackerCountryAlpha3, 26 more }
GET/accounts/{account_id}/cloudforce-one/events/{event_id}
Create an event
client.cloudforceOne.threatEvents.create(ThreatEventCreateParams { account_id, category, date, 15 more } params, RequestOptionsoptions?): ThreatEventCreateResponse { attacker, attackerCountry, attackerCountryAlpha3, 26 more }
POST/accounts/{account_id}/cloudforce-one/events/create
Update an event
client.cloudforceOne.threatEvents.edit(stringeventID, ThreatEventEditParams { account_id, datasetId, attacker, 12 more } params, RequestOptionsoptions?): ThreatEventEditResponse { attacker, attackerCountry, attackerCountryAlpha3, 26 more }
PATCH/accounts/{account_id}/cloudforce-one/events/{event_id}
Create events in bulk
client.cloudforceOne.threatEvents.bulkCreate(ThreatEventBulkCreateParams { account_id, data, datasetId, includeCreatedEvents } params, RequestOptionsoptions?): ThreatEventBulkCreateResponse { createdEventsCount, createdTagsCount, errorCount, 4 more }
POST/accounts/{account_id}/cloudforce-one/events/create/bulk
Create events with relationships in bulk (legacy)
Deprecated
client.cloudforceOne.threatEvents.bulkCreateRelationships(ThreatEventBulkCreateRelationshipsParams { account_id, data, datasetId } params, RequestOptionsoptions?): ThreatEventBulkCreateRelationshipsResponse { createdEventsCount, createdIndicatorsCount, createdRelationshipsCount, 2 more }
POST/accounts/{account_id}/cloudforce-one/events/create/bulk/relationships
ModelsExpand Collapse
ThreatEventListResponse = Array<ThreatEventListResponseItem>
attacker: string
attackerCountry: string
attackerCountryAlpha3: string
category: string
datasetId: string
date: string
event: string
hasChildren: boolean
indicator: string
indicatorType: string
indicatorTypeId: number
killChain: number
mitreAttack: Array<string>
mitreCapec: Array<string>
numReferenced: number
numReferences: number
rawId: string
referenced: Array<string>
referencedIds: Array<number>
references: Array<string>
referencesIds: Array<number>
tags: Array<string>
targetCountry: string
targetCountryAlpha3: string
targetIndustry: string
tlp: string
uuid: string
insight?: string
releasabilityId?: string
ThreatEventGetResponse { attacker, attackerCountry, attackerCountryAlpha3, 26 more }
attacker: string
attackerCountry: string
attackerCountryAlpha3: string
category: string
datasetId: string
date: string
event: string
hasChildren: boolean
indicator: string
indicatorType: string
indicatorTypeId: number
killChain: number
mitreAttack: Array<string>
mitreCapec: Array<string>
numReferenced: number
numReferences: number
rawId: string
referenced: Array<string>
referencedIds: Array<number>
references: Array<string>
referencesIds: Array<number>
tags: Array<string>
targetCountry: string
targetCountryAlpha3: string
targetIndustry: string
tlp: string
uuid: string
insight?: string
releasabilityId?: string
ThreatEventCreateResponse { attacker, attackerCountry, attackerCountryAlpha3, 26 more }
attacker: string
attackerCountry: string
attackerCountryAlpha3: string
category: string
datasetId: string
date: string
event: string
hasChildren: boolean
indicator: string
indicatorType: string
indicatorTypeId: number
killChain: number
mitreAttack: Array<string>
mitreCapec: Array<string>
numReferenced: number
numReferences: number
rawId: string
referenced: Array<string>
referencedIds: Array<number>
references: Array<string>
referencesIds: Array<number>
tags: Array<string>
targetCountry: string
targetCountryAlpha3: string
targetIndustry: string
tlp: string
uuid: string
insight?: string
releasabilityId?: string
ThreatEventEditResponse { attacker, attackerCountry, attackerCountryAlpha3, 26 more }
attacker: string
attackerCountry: string
attackerCountryAlpha3: string
category: string
datasetId: string
date: string
event: string
hasChildren: boolean
indicator: string
indicatorType: string
indicatorTypeId: number
killChain: number
mitreAttack: Array<string>
mitreCapec: Array<string>
numReferenced: number
numReferences: number
rawId: string
referenced: Array<string>
referencedIds: Array<number>
references: Array<string>
referencesIds: Array<number>
tags: Array<string>
targetCountry: string
targetCountryAlpha3: string
targetIndustry: string
tlp: string
uuid: string
insight?: string
releasabilityId?: string
ThreatEventBulkCreateResponse { createdEventsCount, createdTagsCount, errorCount, 4 more }

Detailed result of bulk event creation with auto-tag management

createdEventsCount: number

Number of events created

createdTagsCount: number

Number of new tags created in SoT

errorCount: number

Number of errors encountered

queuedIndicatorsCount: number

Number of indicators queued for async processing

createBulkEventsRequestId?: string

Correlation ID for async indicator processing

formatuuid
createdEvents?: Array<CreatedEvent>

Array of created events with UUIDs and shard locations. Only present when includeCreatedEvents=true

eventIndex: number

Original index in the input data array

shardId: string

Dataset ID of the shard where the event was created

uuid: string

UUID of the created event

formatuuid
errors?: Array<Error>

Array of error details

error: string

Error message

eventIndex: number

Index of the event that caused the error

ThreatEventBulkCreateRelationshipsResponse { createdEventsCount, createdIndicatorsCount, createdRelationshipsCount, 2 more }

Result of bulk relationship creation operation

createdEventsCount: number

Number of events created

createdIndicatorsCount: number

Number of indicators created

createdRelationshipsCount: number

Number of relationships created

errorCount: number

Number of errors encountered

errors?: Array<Error>

Array of error details

error: string

Error message

eventIndex: number

Index of the event that caused the error

Threat EventsAggregate

Aggregate events
client.cloudforceOne.threatEvents.aggregate.list(AggregateListParams { account_id, aggregateBy, datasetId, 4 more } params, RequestOptionsoptions?): AggregateListResponse { aggregateBy, aggregations, total, dateRange }
GET/accounts/{account_id}/cloudforce-one/events/aggregate
ModelsExpand Collapse
AggregateListResponse { aggregateBy, aggregations, total, dateRange }
aggregateBy: string

Column(s) that were aggregated by

aggregations: Array<Aggregation>

Array of aggregation results with dynamic fields based on aggregateBy columns

count: number

Number of events for this aggregation

date?: string

Date (if groupByDate is true)

total: number

Total number of events in the aggregation

dateRange?: DateRange { endDate, startDate }

Date range used for filtering

endDate?: string
startDate?: string

Threat EventsGraphql

Run a GraphQL aggregation over events
client.cloudforceOne.threatEvents.graphql.create(GraphqlCreateParams { account_id } params, RequestOptionsoptions?): GraphqlCreateResponse { data, errors }
POST/accounts/{account_id}/cloudforce-one/events/graphql
ModelsExpand Collapse
GraphqlCreateResponse { data, errors }
data?: unknown
errors?: Array<unknown> | null

Threat EventsGraph

Query graph neighborhood from R2 Data Catalog
client.cloudforceOne.threatEvents.graph.list(GraphListParams { account_id, cursor, datasetIds, 7 more } params, RequestOptionsoptions?): GraphListResponse { edges, node, nodes }
GET/accounts/{account_id}/cloudforce-one/events/graph
ModelsExpand Collapse
GraphListResponse { edges, node, nodes }
edges: Array<Edge>
id: string

Deterministic composite edge id (source→target:relationshipType)

relationshipType: string
source: string

Compact id of the source node (type:uuid)

sourceId: string
sourceType: string
target: string

Compact id of the target node (type:uuid)

targetId: string
targetType: string
node: Record<string, unknown> | null

Focal node object (legacy single-seed). Null when unavailable.

nodes: Array<Record<string, unknown>>

Threat EventsQueries

List saved event queries
client.cloudforceOne.threatEvents.queries.list(QueryListParams { account_id } params, RequestOptionsoptions?): QueryListResponse { id, account_id, alert_enabled, 10 more }
GET/accounts/{account_id}/cloudforce-one/events/queries
Create a saved event query
client.cloudforceOne.threatEvents.queries.create(QueryCreateParams { account_id, name, query_json, 4 more } params, RequestOptionsoptions?): QueryCreateResponse { id, account_id, alert_enabled, 10 more }
POST/accounts/{account_id}/cloudforce-one/events/queries/create
Get a saved event query
client.cloudforceOne.threatEvents.queries.get(numberqueryID, QueryGetParams { account_id } params, RequestOptionsoptions?): QueryGetResponse { id, account_id, alert_enabled, 10 more }
GET/accounts/{account_id}/cloudforce-one/events/queries/{query_id}
Update a saved event query
client.cloudforceOne.threatEvents.queries.edit(numberqueryID, QueryEditParams { account_id, alert_enabled, alert_rollup_enabled, 4 more } params, RequestOptionsoptions?): QueryEditResponse { id, account_id, alert_enabled, 10 more }
PATCH/accounts/{account_id}/cloudforce-one/events/queries/{query_id}
Delete a saved event query
client.cloudforceOne.threatEvents.queries.delete(numberqueryID, QueryDeleteParams { account_id } params, RequestOptionsoptions?): void
DELETE/accounts/{account_id}/cloudforce-one/events/queries/{query_id}
ModelsExpand Collapse
QueryListResponse = Array<QueryListResponseItem>
id: number

Unique identifier for the saved query

account_id: number

Account ID

Deprecatedalert_enabled: boolean

Deprecated: saved-query alerting and rules were removed. Always false.

Deprecatedalert_rollup_enabled: boolean

Deprecated: saved-query alerting and rules were removed. Always false.

created_at: string

Creation timestamp

name: string

Name of the saved query

query_json: string

JSON string containing the query parameters

Deprecatedrule_enabled: boolean

Deprecated: saved-query alerting and rules were removed. Always false.

updated_at: string

Last update timestamp

user_email: string

Email of the user who created the query

Deprecatedcustom_threat_feed_id?: number | null

Deprecated: saved-query alerting and rules were removed. Always null.

Deprecatedrule_list_id?: string

Deprecated: saved-query alerting and rules were removed. Always null.

Deprecatedrule_scope?: string

Deprecated: saved-query alerting and rules were removed. Always null.

QueryCreateResponse { id, account_id, alert_enabled, 10 more }
id: number

Unique identifier for the saved query

account_id: number

Account ID

Deprecatedalert_enabled: boolean

Deprecated: saved-query alerting and rules were removed. Always false.

Deprecatedalert_rollup_enabled: boolean

Deprecated: saved-query alerting and rules were removed. Always false.

created_at: string

Creation timestamp

name: string

Name of the saved query

query_json: string

JSON string containing the query parameters

Deprecatedrule_enabled: boolean

Deprecated: saved-query alerting and rules were removed. Always false.

updated_at: string

Last update timestamp

user_email: string

Email of the user who created the query

Deprecatedcustom_threat_feed_id?: number | null

Deprecated: saved-query alerting and rules were removed. Always null.

Deprecatedrule_list_id?: string

Deprecated: saved-query alerting and rules were removed. Always null.

Deprecatedrule_scope?: string

Deprecated: saved-query alerting and rules were removed. Always null.

QueryGetResponse { id, account_id, alert_enabled, 10 more }
id: number

Unique identifier for the saved query

account_id: number

Account ID

Deprecatedalert_enabled: boolean

Deprecated: saved-query alerting and rules were removed. Always false.

Deprecatedalert_rollup_enabled: boolean

Deprecated: saved-query alerting and rules were removed. Always false.

created_at: string

Creation timestamp

name: string

Name of the saved query

query_json: string

JSON string containing the query parameters

Deprecatedrule_enabled: boolean

Deprecated: saved-query alerting and rules were removed. Always false.

updated_at: string

Last update timestamp

user_email: string

Email of the user who created the query

Deprecatedcustom_threat_feed_id?: number | null

Deprecated: saved-query alerting and rules were removed. Always null.

Deprecatedrule_list_id?: string

Deprecated: saved-query alerting and rules were removed. Always null.

Deprecatedrule_scope?: string

Deprecated: saved-query alerting and rules were removed. Always null.

QueryEditResponse { id, account_id, alert_enabled, 10 more }
id: number

Unique identifier for the saved query

account_id: number

Account ID

Deprecatedalert_enabled: boolean

Deprecated: saved-query alerting and rules were removed. Always false.

Deprecatedalert_rollup_enabled: boolean

Deprecated: saved-query alerting and rules were removed. Always false.

created_at: string

Creation timestamp

name: string

Name of the saved query

query_json: string

JSON string containing the query parameters

Deprecatedrule_enabled: boolean

Deprecated: saved-query alerting and rules were removed. Always false.

updated_at: string

Last update timestamp

user_email: string

Email of the user who created the query

Deprecatedcustom_threat_feed_id?: number | null

Deprecated: saved-query alerting and rules were removed. Always null.

Deprecatedrule_list_id?: string

Deprecated: saved-query alerting and rules were removed. Always null.

Deprecatedrule_scope?: string

Deprecated: saved-query alerting and rules were removed. Always null.

Threat EventsRelationships

List related events (legacy)
Deprecated
client.cloudforceOne.threatEvents.relationships.list(stringeventID, RelationshipListParams { account_id, datasetId, direction, 6 more } params, RequestOptionsoptions?): RelationshipListResponse { attacker, attackerCountry, attackerCountryAlpha3, 26 more }
GET/accounts/{account_id}/cloudforce-one/events/{event_id}/relationships
ModelsExpand Collapse
RelationshipListResponse = Array<RelationshipListResponseItem>
attacker: string
attackerCountry: string
attackerCountryAlpha3: string
category: string
datasetId: string
date: string
event: string
hasChildren: boolean
indicator: string
indicatorType: string
indicatorTypeId: number
killChain: number
mitreAttack: Array<string>
mitreCapec: Array<string>
numReferenced: number
numReferences: number
rawId: string
referenced: Array<string>
referencedIds: Array<number>
references: Array<string>
referencesIds: Array<number>
tags: Array<string>
targetCountry: string
targetCountryAlpha3: string
targetIndustry: string
tlp: string
uuid: string
insight?: string
releasabilityId?: string

Threat EventsIndicators

List indicators
client.cloudforceOne.threatEvents.indicators.list(IndicatorListParams { account_id, cache, createdAfter, 15 more } params, RequestOptionsoptions?): IndicatorListResponse { properties, type }
GET/accounts/{account_id}/cloudforce-one/events/indicators
ModelsExpand Collapse
IndicatorListResponse { properties, type }
properties: Properties { completeness, indicators, pagination }
completeness: Completeness { properties, type }
properties: Properties { complete, failedDatasets, failedShards, warnings }
complete: Complete { type }
type: string
failedDatasets: FailedDatasets { items, type }
items: Items { type }
type: string
type: string
failedShards: FailedShards { items, type }
items: Items { properties, type }
properties: Properties { datasetId, shardId }
datasetId: DatasetID { type }
type: string
shardId: ShardID { type }
type: string
type: string
type: string
warnings: Warnings { items, type }
items: Items { type }
type: string
type: string
type: string
indicators: Indicators { items, type }
items: Items { createdAt, indicatorType, sources, 8 more }
createdAt: string
formatdate-time
indicatorType: string
sources: Array<Source>

RSS article sources from which this indicator was extracted.

resourceId: string
formatuuid
resourceType: "article"
system: "threat-signals"
title: string | null

Threat Signals article title; null for historical provenance without a stored title.

updatedAt: string
formatdate-time
uuid: string
value: string
datasetId?: string

The dataset ID this indicator belongs to. Included in list responses.

relatedEvents?: Array<RelatedEvent>

Related events, capped by relatedEventsLimit (default 2). Check relatedEventsHasMore to detect a capped list; pass relatedEventsLimit=-1 to retrieve all of them.

datasetId: string
eventId: string
eventDate?: string | null

ISO 8601 date of the related event. Null for legacy relationships created before event-date tracking was added.

relatedEventsHasMore?: boolean

True when this indicator appears in more events than relatedEvents contains because relatedEventsLimit capped the list. Pass relatedEventsLimit=-1 to retrieve every related event.

tags?: Array<Tag>
categoryId?: string | null

The UUID of the tag category, or null when the tag is uncategorized.

categoryName?: string
uuid?: string
value?: string
tlp?: string | null

Traffic Light Protocol designation. UPPERCASE. Possible values: CLEAR, GREEN, AMBER, AMBER-STRICT, RED, PURPLE. Null when not set.

type: string
type: string

Threat EventsIndicatorsAggregate

Aggregate indicators by column(s)
client.cloudforceOne.threatEvents.indicators.aggregate.list(AggregateListParams { account_id, aggregateBy, createdAfter, 7 more } params, RequestOptionsoptions?): AggregateListResponse { aggregateBy, aggregations, failedDatasets, total }
GET/accounts/{account_id}/cloudforce-one/events/indicators/aggregate
ModelsExpand Collapse
AggregateListResponse { aggregateBy, aggregations, failedDatasets, total }
aggregateBy: string

Column(s) that were aggregated by

aggregations: Array<Aggregation>

Array of aggregation results with dynamic fields based on aggregateBy columns

count: number

Number of indicators for this aggregation

failedDatasets: number

Number of datasets whose aggregation failed and were excluded from the result

total: number

Total count in the aggregation: indicator rows when measure=indicators, or linked-event rows when measure=relationships

Threat EventsIndicatorsTypes

List indicator types
client.cloudforceOne.threatEvents.indicators.types.list(TypeListParams { account_id, datasetIds } params, RequestOptionsoptions?): TypeListResponse { items, type }
GET/accounts/{account_id}/cloudforce-one/events/indicator-types
ModelsExpand Collapse
TypeListResponse { items, type }
items: Items { type }
type: string
type: string

Threat EventsIndicatorsBy Dataset

List indicators in a dataset (legacy)
Deprecated
client.cloudforceOne.threatEvents.indicators.byDataset.list(stringdatasetID, ByDatasetListParams { account_id, indicatorType, name, 3 more } params, RequestOptionsoptions?): ByDatasetListResponse { indicators, pagination }
GET/accounts/{account_id}/cloudforce-one/events/dataset/{dataset_id}/indicators
Get an indicator
client.cloudforceOne.threatEvents.indicators.byDataset.get(stringindicatorID, ByDatasetGetParams { account_id, dataset_id } params, RequestOptionsoptions?): ByDatasetGetResponse { createdAt, indicatorType, updatedAt, 7 more }
GET/accounts/{account_id}/cloudforce-one/events/dataset/{dataset_id}/indicators/{indicator_id}
ModelsExpand Collapse
ByDatasetListResponse { indicators, pagination }
indicators: Array<Indicator>
createdAt: string
formatdate-time
indicatorType: string
sources: Array<Source>

RSS article sources from which this indicator was extracted.

resourceId: string
formatuuid
resourceType: "article"
system: "threat-signals"
title: string | null

Threat Signals article title; null for historical provenance without a stored title.

updatedAt: string
formatdate-time
uuid: string
value: string
datasetId?: string

The dataset ID this indicator belongs to. Included in list responses.

relatedEvents?: Array<RelatedEvent>

Related events, capped by relatedEventsLimit (default 2). Check relatedEventsHasMore to detect a capped list; pass relatedEventsLimit=-1 to retrieve all of them.

datasetId: string
eventId: string
eventDate?: string | null

ISO 8601 date of the related event. Null for legacy relationships created before event-date tracking was added.

relatedEventsHasMore?: boolean

True when this indicator appears in more events than relatedEvents contains because relatedEventsLimit capped the list. Pass relatedEventsLimit=-1 to retrieve every related event.

tags?: Array<Tag>
categoryId?: string | null

The UUID of the tag category, or null when the tag is uncategorized.

categoryName?: string
uuid?: string
value?: string
tlp?: string | null

Traffic Light Protocol designation. UPPERCASE. Possible values: CLEAR, GREEN, AMBER, AMBER-STRICT, RED, PURPLE. Null when not set.

ByDatasetGetResponse { createdAt, indicatorType, updatedAt, 7 more }
createdAt: string
formatdate-time
indicatorType: string
updatedAt: string
formatdate-time
uuid: string
value: string
datasetId?: string

The dataset ID this indicator belongs to. Included in list responses.

relatedEvents?: Array<RelatedEvent>

Related events, capped by relatedEventsLimit (default 2). Check relatedEventsHasMore to detect a capped list; pass relatedEventsLimit=-1 to retrieve all of them.

datasetId: string
eventId: string
eventDate?: string | null

ISO 8601 date of the related event. Null for legacy relationships created before event-date tracking was added.

relatedEventsHasMore?: boolean

True when this indicator appears in more events than relatedEvents contains because relatedEventsLimit capped the list. Pass relatedEventsLimit=-1 to retrieve every related event.

tags?: Array<Tag>
categoryId?: string | null

The UUID of the tag category, or null when the tag is uncategorized.

categoryName?: string
uuid?: string
value?: string
tlp?: string | null

Traffic Light Protocol designation. UPPERCASE. Possible values: CLEAR, GREEN, AMBER, AMBER-STRICT, RED, PURPLE. Null when not set.

Threat EventsIndicatorsBy DatasetTags

List tags on a dataset's indicators
client.cloudforceOne.threatEvents.indicators.byDataset.tags.list(stringdatasetID, TagListParams { account_id } params, RequestOptionsoptions?): TagListResponse
GET/accounts/{account_id}/cloudforce-one/events/dataset/{dataset_id}/indicators/tags
ModelsExpand Collapse
TagListResponse = Array<unknown>

Array of mirror tag rows

Threat EventsAttackers

List attackers
client.cloudforceOne.threatEvents.attackers.list(AttackerListParams { account_id, datasetIds } params, RequestOptionsoptions?): AttackerListResponse { items, type }
GET/accounts/{account_id}/cloudforce-one/events/attackers
ModelsExpand Collapse
AttackerListResponse { items, type }
items: Items { type }
type: string
type: string

Threat EventsCategories

List event categories used in datasets
client.cloudforceOne.threatEvents.categories.list(CategoryListParams { account_id, datasetIds } params, RequestOptionsoptions?): CategoryListResponse { killChain, name, uuid, 3 more }
GET/accounts/{account_id}/cloudforce-one/events/categories
Get an event category (legacy)
Deprecated
client.cloudforceOne.threatEvents.categories.get(stringcategoryID, CategoryGetParams { account_id } params, RequestOptionsoptions?): CategoryGetResponse { killChain, name, uuid, 3 more }
GET/accounts/{account_id}/cloudforce-one/events/categories/{category_id}
Create an event category
client.cloudforceOne.threatEvents.categories.create(CategoryCreateParams { account_id, killChain, name, 3 more } params, RequestOptionsoptions?): CategoryCreateResponse { killChain, name, uuid, 3 more }
POST/accounts/{account_id}/cloudforce-one/events/categories/create
Update an event category (legacy)
Deprecated
client.cloudforceOne.threatEvents.categories.edit(stringcategoryID, CategoryEditParams { account_id, killChain, mitreAttack, 3 more } params, RequestOptionsoptions?): CategoryEditResponse { killChain, name, uuid, 3 more }
PATCH/accounts/{account_id}/cloudforce-one/events/categories/{category_id}
Delete an event category (legacy)
Deprecated
client.cloudforceOne.threatEvents.categories.delete(stringcategoryID, CategoryDeleteParams { account_id } params, RequestOptionsoptions?): CategoryDeleteResponse { uuid }
DELETE/accounts/{account_id}/cloudforce-one/events/categories/{category_id}
ModelsExpand Collapse
CategoryListResponse = Array<CategoryListResponseItem>
killChain: number
name: string
uuid: string
mitreAttack?: Array<string>
mitreCapec?: Array<string>
shortname?: string
CategoryGetResponse { killChain, name, uuid, 3 more }
killChain: number
name: string
uuid: string
mitreAttack?: Array<string>
mitreCapec?: Array<string>
shortname?: string
CategoryCreateResponse { killChain, name, uuid, 3 more }
killChain: number
name: string
uuid: string
mitreAttack?: Array<string>
mitreCapec?: Array<string>
shortname?: string
CategoryEditResponse { killChain, name, uuid, 3 more }
killChain: number
name: string
uuid: string
mitreAttack?: Array<string>
mitreCapec?: Array<string>
shortname?: string
CategoryDeleteResponse { uuid }
uuid: string

Threat EventsCategoriesCatalog

List all event categories
client.cloudforceOne.threatEvents.categories.catalog.list(CatalogListParams { account_id } params, RequestOptionsoptions?): CatalogListResponse { killChain, name, uuid, 3 more }
GET/accounts/{account_id}/cloudforce-one/events/categories/catalog
ModelsExpand Collapse
CatalogListResponse = Array<CatalogListResponseItem>
killChain: number
name: string
uuid: string
mitreAttack?: Array<string>
mitreCapec?: Array<string>
shortname?: string

Threat EventsCountries

List countries
client.cloudforceOne.threatEvents.countries.list(CountryListParams { account_id } params, RequestOptionsoptions?): CountryListResponse { result, success }
GET/accounts/{account_id}/cloudforce-one/events/countries
ModelsExpand Collapse
CountryListResponse = Array<CountryListResponseItem>
result: Array<Result>
alpha2: string
alpha3: string
name: string
success: string

Threat EventsCrons

Threat EventsDatasets

List datasets
client.cloudforceOne.threatEvents.datasets.list(DatasetListParams { account_id, includeDeleted } params, RequestOptionsoptions?): DatasetListResponse { indicatorWriteMode, isAnalytics, isPublic, 3 more }
GET/accounts/{account_id}/cloudforce-one/events/dataset
Get a dataset
client.cloudforceOne.threatEvents.datasets.get(stringdatasetID, DatasetGetParams { account_id } params, RequestOptionsoptions?): DatasetGetResponse { isAnalytics, isPublic, name, uuid }
GET/accounts/{account_id}/cloudforce-one/events/dataset/{dataset_id}
Create a dataset
client.cloudforceOne.threatEvents.datasets.create(DatasetCreateParams { account_id, isPublic, name } params, RequestOptionsoptions?): DatasetCreateResponse { isAnalytics, isPublic, name, uuid }
POST/accounts/{account_id}/cloudforce-one/events/dataset/create
Update a dataset
client.cloudforceOne.threatEvents.datasets.edit(stringdatasetID, DatasetEditParams { account_id, isPublic, name } params, RequestOptionsoptions?): DatasetEditResponse { isAnalytics, isPublic, name, uuid }
PATCH/accounts/{account_id}/cloudforce-one/events/dataset/{dataset_id}
Delete a dataset
client.cloudforceOne.threatEvents.datasets.delete(stringdatasetID, DatasetDeleteParams { account_id } params, RequestOptionsoptions?): DatasetDeleteResponse { name, uuid }
DELETE/accounts/{account_id}/cloudforce-one/events/dataset/{dataset_id}
Get raw data for an event (legacy)
Deprecated
client.cloudforceOne.threatEvents.datasets.raw(stringeventID, DatasetRawParams { account_id, dataset_id } params, RequestOptionsoptions?): DatasetRawResponse { id, accountId, created, 3 more }
GET/accounts/{account_id}/cloudforce-one/events/raw/{dataset_id}/{event_id}
ModelsExpand Collapse
DatasetListResponse = Array<DatasetListResponseItem>
indicatorWriteMode: "read_only" | "create_only" | "full"

Effective indicator mutation capability after account/dataset authorization and dataset storage capability are applied. API Gateway method permissions are separate and must also allow the requested operation.

One of the following:
"read_only"
"create_only"
"full"
isAnalytics: boolean
isPublic: boolean
name: string
uuid: string
deletedAt?: string
DatasetGetResponse { isAnalytics, isPublic, name, uuid }
isAnalytics: boolean
isPublic: boolean
name: string
uuid: string
DatasetCreateResponse { isAnalytics, isPublic, name, uuid }
isAnalytics: boolean
isPublic: boolean
name: string
uuid: string
DatasetEditResponse { isAnalytics, isPublic, name, uuid }
isAnalytics: boolean
isPublic: boolean
name: string
uuid: string
DatasetDeleteResponse { name, uuid }
name: string
uuid: string
DatasetRawResponse { id, accountId, created, 3 more }
id: number
accountId: number
created: string
data: string
source: string
tlp: string

Threat EventsDatasetsHealth

Threat EventsDatasetsEvents

Get an event
client.cloudforceOne.threatEvents.datasets.events.get(stringeventID, EventGetParams { account_id, dataset_id } params, RequestOptionsoptions?): EventGetResponse { attacker, attackerCountry, attackerCountryAlpha3, 26 more }
GET/accounts/{account_id}/cloudforce-one/events/dataset/{dataset_id}/events/{event_id}
ModelsExpand Collapse
EventGetResponse { attacker, attackerCountry, attackerCountryAlpha3, 26 more }
attacker: string
attackerCountry: string
attackerCountryAlpha3: string
category: string
datasetId: string
date: string
event: string
hasChildren: boolean
indicator: string
indicatorType: string
indicatorTypeId: number
killChain: number
mitreAttack: Array<string>
mitreCapec: Array<string>
numReferenced: number
numReferences: number
rawId: string
referenced: Array<string>
referencedIds: Array<number>
references: Array<string>
referencesIds: Array<number>
tags: Array<string>
targetCountry: string
targetCountryAlpha3: string
targetIndustry: string
tlp: string
uuid: string
insight?: string
releasabilityId?: string

Threat EventsRaw

Get raw event data by raw ID (legacy)
client.cloudforceOne.threatEvents.raw.get(stringrawID, RawGetParams { account_id, event_id } params, RequestOptionsoptions?): RawGetResponse { id, accountId, created, 3 more }
GET/accounts/{account_id}/cloudforce-one/events/{event_id}/raw/{raw_id}
Update raw event data by raw ID (legacy)
client.cloudforceOne.threatEvents.raw.edit(stringrawID, RawEditParams { account_id, event_id, data, 2 more } params, RequestOptionsoptions?): RawEditResponse { id, data }
PATCH/accounts/{account_id}/cloudforce-one/events/{event_id}/raw/{raw_id}
ModelsExpand Collapse
RawGetResponse { id, accountId, created, 3 more }
id: string
accountId: number
created: string
data: unknown
source: string
tlp: string
RawEditResponse { id, data }
id: string
data: unknown

Threat EventsRelate

Remove event references (legacy)
client.cloudforceOne.threatEvents.relate.delete(stringeventID, RelateDeleteParams { account_id } params, RequestOptionsoptions?): RelateDeleteResponse { success }
DELETE/accounts/{account_id}/cloudforce-one/events/relate/{event_id}
ModelsExpand Collapse
RelateDeleteResponse { success }
success: boolean

Threat EventsTags

List tags
client.cloudforceOne.threatEvents.tags.list(TagListParams { account_id, cache, categoryUuid, 4 more } params, RequestOptionsoptions?): TagListResponse { pagination, tags }
GET/accounts/{account_id}/cloudforce-one/events/tags
Create a tag
client.cloudforceOne.threatEvents.tags.create(TagCreateParams { account_id, value, activeDuration, 21 more } params, RequestOptionsoptions?): TagCreateResponse { uuid, value, activeDuration, 34 more }
POST/accounts/{account_id}/cloudforce-one/events/tags/create
Update a tag
client.cloudforceOne.threatEvents.tags.edit(stringtagUUID, TagEditParams { account_id, activeDuration, actorCategory, 21 more } params, RequestOptionsoptions?): TagEditResponse { uuid, value, activeDuration, 34 more }
PATCH/accounts/{account_id}/cloudforce-one/events/tags/{tag_uuid}
Delete a tag
client.cloudforceOne.threatEvents.tags.delete(stringtagUUID, TagDeleteParams { account_id } params, RequestOptionsoptions?): TagDeleteResponse { uuid }
DELETE/accounts/{account_id}/cloudforce-one/events/tags/{tag_uuid}
ModelsExpand Collapse
TagListResponse { pagination, tags }
tags: Array<Tag>
uuid: string
value: string
activeDuration?: string
activeDuration_annotated?: ActiveDurationAnnotated | null
value: string
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
actorCategory?: string
actorCategory_annotated?: ActorCategoryAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
aliases?: Array<Alias>

Structured aliases ({ value, confidence 1-10, tlp }). Public: returned to all accounts with per-entry TLP filtering (entries with tlp: purple are removed for non-CFONE accounts).

value: string
confidence?: number | null
maximum10
minimum1
tlp?: "red" | "amber" | "amber-strict" | 4 more | null
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
aliasGroupNames?: Array<string>
aliasGroupNamesInternal?: Array<string>
attributionOrganization?: string
attributionOrganization_annotated?: AttributionOrganizationAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
categoryName?: string
categoryUuid?: string
confidence?: number | null

Overall tag confidence (1-10).

maximum10
minimum1
createdAt?: string
dateOfDiscovery?: string
description?: string
externalReferences?: Array<ExternalReference>

Structured external references ({ url, description }). Public: returned to all accounts.

url: string
description?: string | null
externalReferences_annotated?: Array<ExternalReferencesAnnotated> | null
value: string
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
internalAliases?: Array<InternalAlias>

Owner-private structured aliases ({ value, confidence 1-10, tlp }). Returned to the owning account and omitted from shared-catalog non-owner responses.

value: string
confidence?: number | null
maximum10
minimum1
tlp?: "red" | "amber" | "amber-strict" | 4 more | null
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
internalDescription?: string
lastSeen?: string
motive?: string
motive_annotated?: MotiveAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
opsecLevel?: string
opsecLevel_annotated?: OpsecLevelAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
originCountryISO?: string | null

ISO country code (alpha-2 or alpha-3). Normalized to uppercase on read. Null when stored value is blank/whitespace.

originCountryISO_annotated?: OriginCountryISOAnnotated | null
value: string | null
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
priority?: number
priority_annotated?: PriorityAnnotated | null
value: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
properties?: Record<string, unknown> | null

Parsed custom field values. Null when the tag has no custom fields.

sophisticationLevel?: string
sophisticationLevel_annotated?: SophisticationLevelAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
tlp?: "red" | "amber" | "amber-strict" | 4 more | null

Tag-level TLP handling marking.

One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
updatedAt?: string
version?: number
TagCreateResponse { uuid, value, activeDuration, 34 more }
uuid: string
value: string
activeDuration?: string
activeDuration_annotated?: ActiveDurationAnnotated | null
value: string
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
actorCategory?: string
actorCategory_annotated?: ActorCategoryAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
aliases?: Array<Alias>

Structured aliases ({ value, confidence 1-10, tlp }). Public: returned to all accounts with per-entry TLP filtering (entries with tlp: purple are removed for non-CFONE accounts).

value: string
confidence?: number | null
maximum10
minimum1
tlp?: "red" | "amber" | "amber-strict" | 4 more | null
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
aliasGroupNames?: Array<string>
aliasGroupNamesInternal?: Array<string>
attributionOrganization?: string
attributionOrganization_annotated?: AttributionOrganizationAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
categoryName?: string
categoryUuid?: string
confidence?: number | null

Overall tag confidence (1-10).

maximum10
minimum1
createdAt?: string
dateOfDiscovery?: string
description?: string
externalReferences?: Array<ExternalReference>

Structured external references ({ url, description }). Public: returned to all accounts.

url: string
description?: string | null
externalReferences_annotated?: Array<ExternalReferencesAnnotated> | null
value: string
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
internalAliases?: Array<InternalAlias>

Owner-private structured aliases ({ value, confidence 1-10, tlp }). Returned to the owning account and omitted from shared-catalog non-owner responses.

value: string
confidence?: number | null
maximum10
minimum1
tlp?: "red" | "amber" | "amber-strict" | 4 more | null
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
internalDescription?: string
lastSeen?: string
motive?: string
motive_annotated?: MotiveAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
opsecLevel?: string
opsecLevel_annotated?: OpsecLevelAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
originCountryISO?: string | null

ISO country code (alpha-2 or alpha-3). Normalized to uppercase on read. Null when stored value is blank/whitespace.

originCountryISO_annotated?: OriginCountryISOAnnotated | null
value: string | null
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
priority?: number
priority_annotated?: PriorityAnnotated | null
value: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
properties?: Record<string, unknown> | null

Parsed custom field values. Null when the tag has no custom fields.

sophisticationLevel?: string
sophisticationLevel_annotated?: SophisticationLevelAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
tlp?: "red" | "amber" | "amber-strict" | 4 more | null

Tag-level TLP handling marking.

One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
updatedAt?: string
version?: number
TagEditResponse { uuid, value, activeDuration, 34 more }
uuid: string
value: string
activeDuration?: string
activeDuration_annotated?: ActiveDurationAnnotated | null
value: string
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
actorCategory?: string
actorCategory_annotated?: ActorCategoryAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
aliases?: Array<Alias>

Structured aliases ({ value, confidence 1-10, tlp }). Public: returned to all accounts with per-entry TLP filtering (entries with tlp: purple are removed for non-CFONE accounts).

value: string
confidence?: number | null
maximum10
minimum1
tlp?: "red" | "amber" | "amber-strict" | 4 more | null
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
aliasGroupNames?: Array<string>
aliasGroupNamesInternal?: Array<string>
attributionOrganization?: string
attributionOrganization_annotated?: AttributionOrganizationAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
categoryName?: string
categoryUuid?: string
confidence?: number | null

Overall tag confidence (1-10).

maximum10
minimum1
createdAt?: string
dateOfDiscovery?: string
description?: string
externalReferences?: Array<ExternalReference>

Structured external references ({ url, description }). Public: returned to all accounts.

url: string
description?: string | null
externalReferences_annotated?: Array<ExternalReferencesAnnotated> | null
value: string
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
internalAliases?: Array<InternalAlias>

Owner-private structured aliases ({ value, confidence 1-10, tlp }). Returned to the owning account and omitted from shared-catalog non-owner responses.

value: string
confidence?: number | null
maximum10
minimum1
tlp?: "red" | "amber" | "amber-strict" | 4 more | null
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
internalDescription?: string
lastSeen?: string
motive?: string
motive_annotated?: MotiveAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
opsecLevel?: string
opsecLevel_annotated?: OpsecLevelAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
originCountryISO?: string | null

ISO country code (alpha-2 or alpha-3). Normalized to uppercase on read. Null when stored value is blank/whitespace.

originCountryISO_annotated?: OriginCountryISOAnnotated | null
value: string | null
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
priority?: number
priority_annotated?: PriorityAnnotated | null
value: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
properties?: Record<string, unknown> | null

Parsed custom field values. Null when the tag has no custom fields.

sophisticationLevel?: string
sophisticationLevel_annotated?: SophisticationLevelAnnotated | null
value: string
confidence?: number
tlp?: "red" | "amber" | "amber-strict" | 4 more
One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
tlp?: "red" | "amber" | "amber-strict" | 4 more | null

Tag-level TLP handling marking.

One of the following:
"red"
"amber"
"amber-strict"
"green"
"clear"
"purple"
"amber+strict"
updatedAt?: string
version?: number
TagDeleteResponse { uuid }
uuid: string

Threat EventsTagsCategories

List tag categories
client.cloudforceOne.threatEvents.tags.categories.list(CategoryListParams { account_id, search } params, RequestOptionsoptions?): CategoryListResponse { categories }
GET/accounts/{account_id}/cloudforce-one/events/tags/categories
Create a tag category
client.cloudforceOne.threatEvents.tags.categories.create(CategoryCreateParams { account_id, name, description, schema } params, RequestOptionsoptions?): CategoryCreateResponse { name, uuid, createdAt, 3 more }
POST/accounts/{account_id}/cloudforce-one/events/tags/categories/create
Update a tag category (legacy)
Deprecated
client.cloudforceOne.threatEvents.tags.categories.edit(stringcategoryUUID, CategoryEditParams { account_id, description, name, schema } params, RequestOptionsoptions?): CategoryEditResponse { name, uuid, createdAt, 3 more }
PATCH/accounts/{account_id}/cloudforce-one/events/tags/categories/{category_uuid}
Delete a tag category (legacy)
Deprecated
client.cloudforceOne.threatEvents.tags.categories.delete(stringcategoryUUID, CategoryDeleteParams { account_id } params, RequestOptionsoptions?): CategoryDeleteResponse { uuid }
DELETE/accounts/{account_id}/cloudforce-one/events/tags/categories/{category_uuid}
ModelsExpand Collapse
CategoryListResponse { categories }
categories: Array<Category>
name: string
uuid: string
createdAt?: string
description?: string
schema?: Array<Schema> | null

Parsed FieldDefinition[] defining custom fields for this category, or null if none.

key: string
kind: "string" | "number" | "enum" | 3 more
One of the following:
"string"
"number"
"enum"
"date"
"array"
"object"
allowedValues?: Array<string>
annotations?: Annotations { confidence, tlp }
confidence?: boolean
tlp?: boolean
deprecated?: boolean

Marks a field as unavailable for new values while retaining its definition for historical values.

deprecatedValues?: Array<string>

Enum values unavailable for new writes but retained in allowedValues for historical display.

element?: unknown
enforcement?: "error" | "warn" | "off"
One of the following:
"error"
"warn"
"off"
format?: "date" | "url" | "duration" | "country"
One of the following:
"date"
"url"
"duration"
"country"
label?: string
maxLength128
minLength1
maxLength?: number
exclusiveMinimum
minimum0
numberConstraint?: NumberConstraint { integer, max, min }
integer?: boolean
max?: number
min?: number
properties?: Record<string, unknown>

Map of property key to FieldDefinition for object fields. Required when kind is ‘object’. See FieldDefinition (recursive).

required?: boolean
updatedAt?: string
CategoryCreateResponse { name, uuid, createdAt, 3 more }
name: string
uuid: string
createdAt?: string
description?: string
schema?: Array<Schema> | null

Parsed FieldDefinition[] defining custom fields for this category, or null if none.

key: string
kind: "string" | "number" | "enum" | 3 more
One of the following:
"string"
"number"
"enum"
"date"
"array"
"object"
allowedValues?: Array<string>
annotations?: Annotations { confidence, tlp }
confidence?: boolean
tlp?: boolean
deprecated?: boolean

Marks a field as unavailable for new values while retaining its definition for historical values.

deprecatedValues?: Array<string>

Enum values unavailable for new writes but retained in allowedValues for historical display.

element?: unknown
enforcement?: "error" | "warn" | "off"
One of the following:
"error"
"warn"
"off"
format?: "date" | "url" | "duration" | "country"
One of the following:
"date"
"url"
"duration"
"country"
label?: string
maxLength128
minLength1
maxLength?: number
exclusiveMinimum
minimum0
numberConstraint?: NumberConstraint { integer, max, min }
integer?: boolean
max?: number
min?: number
properties?: Record<string, unknown>

Map of property key to FieldDefinition for object fields. Required when kind is ‘object’. See FieldDefinition (recursive).

required?: boolean
updatedAt?: string
CategoryEditResponse { name, uuid, createdAt, 3 more }
name: string
uuid: string
createdAt?: string
description?: string
schema?: Array<Schema> | null

Parsed FieldDefinition[] defining custom fields for this category, or null if none.

key: string
kind: "string" | "number" | "enum" | 3 more
One of the following:
"string"
"number"
"enum"
"date"
"array"
"object"
allowedValues?: Array<string>
annotations?: Annotations { confidence, tlp }
confidence?: boolean
tlp?: boolean
deprecated?: boolean

Marks a field as unavailable for new values while retaining its definition for historical values.

deprecatedValues?: Array<string>

Enum values unavailable for new writes but retained in allowedValues for historical display.

element?: unknown
enforcement?: "error" | "warn" | "off"
One of the following:
"error"
"warn"
"off"
format?: "date" | "url" | "duration" | "country"
One of the following:
"date"
"url"
"duration"
"country"
label?: string
maxLength128
minLength1
maxLength?: number
exclusiveMinimum
minimum0
numberConstraint?: NumberConstraint { integer, max, min }
integer?: boolean
max?: number
min?: number
properties?: Record<string, unknown>

Map of property key to FieldDefinition for object fields. Required when kind is ‘object’. See FieldDefinition (recursive).

required?: boolean
updatedAt?: string
CategoryDeleteResponse { uuid }
uuid: string

Threat EventsTagsIndicators

List a tag's indicators
client.cloudforceOne.threatEvents.tags.indicators.list(stringtagUUID, IndicatorListParams { account_id, datasetIds, indicatorType, 4 more } params, RequestOptionsoptions?): IndicatorListResponse { indicators, pagination, failedShardCount, partialResults }
GET/accounts/{account_id}/cloudforce-one/events/tags/{tag_uuid}/indicators
ModelsExpand Collapse
IndicatorListResponse { indicators, pagination, failedShardCount, partialResults }
indicators: Array<Indicator>
createdAt: string
formatdate-time
indicatorType: string
updatedAt: string
formatdate-time
uuid: string
value: string
datasetId?: string

The dataset ID this indicator belongs to. Included in list responses.

relatedEvents?: Array<RelatedEvent>

Related events, capped by relatedEventsLimit (default 2). Check relatedEventsHasMore to detect a capped list; pass relatedEventsLimit=-1 to retrieve all of them.

datasetId: string
eventId: string
eventDate?: string | null

ISO 8601 date of the related event. Null for legacy relationships created before event-date tracking was added.

relatedEventsHasMore?: boolean

True when this indicator appears in more events than relatedEvents contains because relatedEventsLimit capped the list. Pass relatedEventsLimit=-1 to retrieve every related event.

tags?: Array<Tag>
categoryId?: string | null

The UUID of the tag category, or null when the tag is uncategorized.

categoryName?: string
uuid?: string
value?: string
tlp?: string | null

Traffic Light Protocol designation. UPPERCASE. Possible values: CLEAR, GREEN, AMBER, AMBER-STRICT, RED, PURPLE. Null when not set.

failedShardCount?: number

Number of shards that failed or timed out. Present only with partialResults.

partialResults?: boolean

Present and true when one or more shards failed or timed out. Indicators from those shards may be missing from this page and from totalCount.

Threat EventsTagsIndicatorsBy Dataset

List indicators related to a tag within a dataset (deprecated)
Deprecated
client.cloudforceOne.threatEvents.tags.indicators.byDataset.list(stringtagUUID, ByDatasetListParams { account_id, dataset_id, indicatorType, 4 more } params, RequestOptionsoptions?): ByDatasetListResponse { indicators, pagination, failedShardCount, partialResults }
GET/accounts/{account_id}/cloudforce-one/events/dataset/{dataset_id}/tags/{tag_uuid}/indicators
ModelsExpand Collapse
ByDatasetListResponse { indicators, pagination, failedShardCount, partialResults }
indicators: Array<Indicator>
createdAt: string
formatdate-time
indicatorType: string
updatedAt: string
formatdate-time
uuid: string
value: string
datasetId?: string

The dataset ID this indicator belongs to. Included in list responses.

relatedEvents?: Array<RelatedEvent>

Related events, capped by relatedEventsLimit (default 2). Check relatedEventsHasMore to detect a capped list; pass relatedEventsLimit=-1 to retrieve all of them.

datasetId: string
eventId: string
eventDate?: string | null

ISO 8601 date of the related event. Null for legacy relationships created before event-date tracking was added.

relatedEventsHasMore?: boolean

True when this indicator appears in more events than relatedEvents contains because relatedEventsLimit capped the list. Pass relatedEventsLimit=-1 to retrieve every related event.

tags?: Array<Tag>
categoryId?: string | null

The UUID of the tag category, or null when the tag is uncategorized.

categoryName?: string
uuid?: string
value?: string
tlp?: string | null

Traffic Light Protocol designation. UPPERCASE. Possible values: CLEAR, GREEN, AMBER, AMBER-STRICT, RED, PURPLE. Null when not set.

failedShardCount?: number

Number of shards that failed or timed out. Present only with partialResults.

partialResults?: boolean

Present and true when one or more shards failed or timed out. Indicators from those shards may be missing from this page and from totalCount.

Threat EventsEvent Tags

Add tags to an event (legacy)
client.cloudforceOne.threatEvents.eventTags.create(stringeventID, EventTagCreateParams { account_id, tags } params, RequestOptionsoptions?): EventTagCreateResponse { success }
POST/accounts/{account_id}/cloudforce-one/events/event_tag/{event_id}/create
Remove tags from an event (legacy)
client.cloudforceOne.threatEvents.eventTags.delete(stringeventID, EventTagDeleteParams { account_id } params, RequestOptionsoptions?): EventTagDeleteResponse { success }
DELETE/accounts/{account_id}/cloudforce-one/events/event_tag/{event_id}
ModelsExpand Collapse
EventTagCreateResponse { success }
success: boolean
EventTagDeleteResponse { success }
success: boolean

Threat EventsTarget Industries

List target industries used in datasets
client.cloudforceOne.threatEvents.targetIndustries.list(TargetIndustryListParams { account_id, datasetIds } params, RequestOptionsoptions?): TargetIndustryListResponse { items, type }
GET/accounts/{account_id}/cloudforce-one/events/targetIndustries
ModelsExpand Collapse
TargetIndustryListResponse { items, type }
items: Items { type }
type: string
type: string

Threat EventsTarget IndustriesBy Dataset

List target industries in a dataset (legacy)
client.cloudforceOne.threatEvents.targetIndustries.byDataset.list(stringdatasetID, ByDatasetListParams { account_id } params, RequestOptionsoptions?): ByDatasetListResponse { items, type }
GET/accounts/{account_id}/cloudforce-one/events/dataset/{dataset_id}/targetIndustries
ModelsExpand Collapse
ByDatasetListResponse { items, type }
items: Items { type }
type: string
type: string

Threat EventsTarget IndustriesCatalog

List all target industries
client.cloudforceOne.threatEvents.targetIndustries.catalog.list(CatalogListParams { account_id } params, RequestOptionsoptions?): CatalogListResponse { items, type }
GET/accounts/{account_id}/cloudforce-one/events/targetIndustries/catalog
ModelsExpand Collapse
CatalogListResponse { items, type }
items: Items { type }
type: string
type: string

Threat EventsInsights